Name:             python-cinderclient
Version:          1.0.0.20
Release:          2%{?dist}
Summary:          Python API and CLI for OpenStack cinder

Group:            Development/Languages
License:          ASL 2.0
URL:              http://github.com/openstack/python-cinderclient
Source0:          http://tarballs.openstack.org/%{name}/%{name}-1.0.0.20.ga74dee0.tar.gz

# patches_base=1.0.0_rhos

BuildArch:        noarch
BuildRequires:    python-setuptools

Requires:         python-httplib2
Requires:         python-prettytable
Requires:         python-setuptools

%description
This is a client for the OpenStack cinder API. There's a Python API (the
cinderclient module), and a command-line script (cinder). Each implements
100% of the OpenStack cinder API.

%prep
%setup -q -n %{name}-1.0.0.20.ga74dee0

# TODO: Have the following handle multi line entries
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

# Remove bundled egg-info
rm -rf python_cinderclient.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/profile.d
# TODO: move to /etc/bash_completion.d when bash-comp is in RHEL
install -pm 644 tools/cinder.bash_completion %{buildroot}%{_sysconfdir}/profile.d/cinder.sh

# Delete tests
rm -fr %{buildroot}%{python_sitelib}/tests

%files
%doc README.rst
%doc LICENSE
%{_bindir}/cinder
%{_sysconfdir}/profile.d/cinder.sh
%{python_sitelib}/cinderclient
%{python_sitelib}/*.egg-info

%changelog
* Mon Feb 11 2013 Eric Harney <eharney@redhat.com> 1.0.0.20-2
- Add bash-completion support

* Thu Jan 31 2013 Eric Harney <eharney@redhat.com> 1.0.0.20-1
- Update to latest cinder client

* Mon Sep 25 2012 Pádraig Brady <P@draigBrady.com> 0.2.26-1
- Update to latest client to support latest cinder

* Mon Sep  3 2012 Pádraig Brady <P@draigBrady.com> 0.2-2
- Initial release
